:root {
  --x-standfirst-content-font-size: var(--m-typography-lead-font-size);
  --x-standfirst-content-line-height: var(--m-typography-lead-line-height);
  --x-standfirst-toggle-spacing-y: var(--m-spacing-y-5);
  --x-standfirst-toggle-font-size: var(--m-typography-secondary-font-size);
  --x-standfirst-toggle-line-height: var(--m-typography-secondary-line-height);
  --x-standfirst-toggle-color: var(--m-color-on-body);
  --x-standfirst-text-spacing-y: var(--m-spacing-y-5);
}

.standfirst__container {
  margin-block: var(--m-section-spacing-y);
  font-size: var(--x-standfirst-content-font-size);
  line-height: var(--x-standfirst-content-line-height);
}

.standfirst__toggle-checkbox {
  display: none;
}

.standfirst__toggle-label {
  display: block;
  cursor: pointer;
  margin-block-start: var(--x-standfirst-toggle-spacing-y);
  font-size: var(--x-standfirst-toggle-font-size);
  line-height: var(--x-standfirst-toggle-line-height);
  color: var(--x-standfirst-toggle-color);
}

.standfirst__text-container {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-in-out;
}

.standfirst__text {
  margin-block-start: var(--x-standfirst-text-spacing-y);
}

.standfirst__toggle-checkbox:checked ~ .standfirst__text-container {
  max-height: 60rem;
}
